#include<bits/stdc++.h>
using namespace std;
int n;
int arr[10007],dp[10007];
int main()
{
    cin>>n;
    for (int q=1;q<=n;q++) cin>>arr[q];
    if (arr[1]%2==0) dp[1]=1;
    else dp[1]=0;
    long long ans=dp[1];
    for (int q=2;q<=n;q++)
    {
        if (arr[q]%2==0) dp[q]=q;
        else dp[q]=dp[q-1];
        ans+=dp[q];
    }
    cout<<ans<<"\n";
}
